Package: groovy.util.slurpersupport

## [Java] Class NodeIterator

- groovy.util.slurpersupport.NodeIterator

- All Implemented Interfaces and Traits:
    Iterator

      public abstract class NodeIterator
      extends Object

  Helper class for iterating through nodes.

  Authors:
    John Wilson

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeIterator (Iterator iter)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `getNextNode(Iterator iter)`
    `` | `boolean` | `hasNext()`
    `` | `Object` | `next()`
    `` | `void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public NodeIterator(Iterator iter)

  - ### Method Detail

    - #### protected Object getNextNode(Iterator iter)

    - #### public boolean hasNext()

    - #### public Object next()

    - #### public void remove()